Loading...
Searching...
No Matches
Http_unknown

## Macros

#define | HTTP_UNKNOWN_INIT()
| Initializer for structure http_unknown_t.
#define | HTTPTAG_UNKNOWN(x)
| Tag list item for pointer to a unknown headers object.
#define | HTTPTAG_UNKNOWN_STR(s)
| Tag list item for string with unknown headers value.

## Enumerations

enum | { http_unknown_hash }

## Functions

http_unknown_t * | http_unknown_init (http_unknown_t x[1])
| Initialize a structure http_unknown_t.
int | http_is_unknown (http_header_t const *header)
| Test if header object is instance of http_unknown_t.
http_unknown_t * | http_unknown_dup (su_home_t *home, http_unknown_t const *hdr))
| Duplicate (deep copy) `http_unknown_t`.
http_unknown_t * | http_unknown_copy (su_home_t *home, http_unknown_t const *hdr))
| Copy a http_unknown_t header structure.
http_unknown_t * | http_unknown_make (su_home_t *home, char const *s))
| Make a header structure http_unknown_t.
http_unknown_t * | http_unknown_format (su_home_t *home, char const *fmt,...)))
| Make a unknown headers from formatting result.

## Variables

msg_hclass_t | http_unknown_class []
| Header class for HTTP unknown headers.
msg_parse_f | http_unknown_d
| Decode (parse) a unknown headers.
msg_print_f | http_unknown_e
| Encode (print) a unknown headers.

## Detailed Description

## Macro Definition Documentation

## HTTP_UNKNOWN_INIT

#define HTTP_UNKNOWN_INIT | ( |  | ) |

Initializer for structure http_unknown_t.

A static http_unknown_t structure must be initialized with the HTTP_UNKNOWN_INIT() macro. For instance,

http_unknown_t http_unknown = HTTP_UNKNOWN_INIT;
HTTP_UNKNOWN_INIT
#define HTTP_UNKNOWN_INIT()
Initializer for structure http_unknown_t.
Definition http_protos.h:13592
http_unknown_t
msg_generic_t http_unknown_t
Unknown header.
Definition http.h:163

## HTTPTAG_UNKNOWN

#define HTTPTAG_UNKNOWN | ( |  | x | ) |

Tag list item for pointer to a unknown headers object.

The HTTPTAG_UNKNOWN() macro is used to include a tag item with a pointer to a http_unknown_t object in a tag list.

Parameters

  x | pointer to a http_unknown_t header structure, or NULL.

## HTTPTAG_UNKNOWN_STR

#define HTTPTAG_UNKNOWN_STR | ( |  | s | ) |

Tag list item for string with unknown headers value.

The HTTPTAG_UNKNOWN_STR() macro is used to include a tag item with a string containing value of a http_unknown_t header in a tag list.

Parameters

  s | pointer to a string containing http_unknown_t value, or NULL.

The HTTPTAG_UNKNOWN_STR string can be converted to a http_unknown_t header structure by giving the string s has second argument to function http_unknown_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_unknown_hash | Hash of unknown headers.

## Function Documentation

## http_is_unknown()

int http_is_unknown | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_unknown_t.

The function http_is_unknown() returns true (nonzero) if the header class is an instance of unknown headers object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xunknown() returns true (nonzero) if the header object is an instance of header unknown and false (zero) otherwise.

## http_unknown_copy()

http_unknown_t * http_unknown_copy | ( | su_home_t * | home,
|  | http_unknown_t const * | hdr )

inline

Copy a http_unknown_t header structure.

The function http_unknown_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  unknown = http_unknown_copy(home, http->http_unknown);
  http_unknown_copy
  http_unknown_t * http_unknown_copy(su_home_t *home, http_unknown_t const *hdr))
  Copy a http_unknown_t header structure.
  Definition http_protos.h:13786

Returns
  The function http_unknown_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_unknown_dup()

http_unknown_t * http_unknown_dup | ( | su_home_t * | home,
|  | http_unknown_t const * | hdr )

inline

Duplicate (deep copy) `http_unknown_t`.

The function http_unknown_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  unknown = http_unknown_dup(home, http->http_unknown);
  http_unknown_dup
  http_unknown_t * http_unknown_dup(su_home_t *home, http_unknown_t const *hdr))
  Duplicate (deep copy) http_unknown_t.
  Definition http_protos.h:13779

Returns
  The function http_unknown_dup() returns a pointer to the newly duplicated http_unknown_t header structure, or NULL upon an error.

## http_unknown_format()

http_unknown_t * http_unknown_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a unknown headers from formatting result.

The function http_unknown_format() makes a new unknown headers object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_unknown_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_unknown_init()

http_unknown_t * http_unknown_init | ( | http_unknown_t | x[1] | ) |

inline

Initialize a structure http_unknown_t.

An http_unknown_t structure can be initialized with the http_unknown_init() function/macro. For instance,

http_unknown_t http_unknown;
http_unknown_init(&http_unknown);
http_unknown_init
http_unknown_t * http_unknown_init(http_unknown_t x[1])
Initialize a structure http_unknown_t.
Definition http_protos.h:13608

## http_unknown_make()

http_unknown_t * http_unknown_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_unknown_t.

The function http_unknown_make() makes a new http_unknown_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_unknown_make() returns a pointer to newly maked http_unknown_t header structure, or NULL upon an error.

## Variable Documentation

## http_unknown_class

msg_hclass_t http_unknown_class[]

extern

Header class for HTTP unknown headers.

The header class http_unknown_class defines how a HTTP unknown headers is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_unknown_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.